[arch-commits] Commit in nvidia-96xx/trunk (3 files)

Thomas Baechler thomas at archlinux.org
Fri Oct 10 15:35:40 UTC 2008


    Date: Friday, October 10, 2008 @ 11:35:36
  Author: thomas
Revision: 14780

upgpkg: nvidia-96xx 96.43.07-6

Added:
  nvidia-96xx/trunk/NVIDIA_173.14.12_2.6.27.patch
Modified:
  nvidia-96xx/trunk/PKGBUILD
  nvidia-96xx/trunk/nvidia-96xx.install

-------------------------------+
 NVIDIA_173.14.12_2.6.27.patch |   87 ++++++++++++++++++++++++++++++++++++++++
 PKGBUILD                      |   20 +++++----
 nvidia-96xx.install           |    4 -
 3 files changed, 101 insertions(+), 10 deletions(-)

Added: NVIDIA_173.14.12_2.6.27.patch
===================================================================
--- NVIDIA_173.14.12_2.6.27.patch	                        (rev 0)
+++ NVIDIA_173.14.12_2.6.27.patch	2008-10-10 15:35:36 UTC (rev 14780)
@@ -0,0 +1,87 @@
+diff -Nru NVIDIA-Linux-x86-173.14.12-pkg0.orig/usr/src/nv/nv.c NVIDIA-Linux-x86-173.14.12-pkg0/usr/src/nv/nv.c
+--- usr/src/nv/nv.c	2008-07-18 03:42:50.000000000 +0200
++++ NVIDIA-Linux-x86-173.14.12-pkg0/usr/src/nv/nv.c	2008-08-12 00:35:45.000000000 +0200
+@@ -1296,14 +1296,22 @@
+             if (get_cpu() == cpu)
+                 __nv_setup_pat_entries(NULL);
+             else
++	    	#if LINUX_VERSION_CODE >= KERNEL_VERSION(2, 6, 27)
++		smp_call_function(__nv_setup_pat_entries, hcpu, 1);
++		#else
+                 smp_call_function(__nv_setup_pat_entries, hcpu, 1, 1);
++		#endif
+             put_cpu();
+             break;
+         case CPU_DOWN_PREPARE:
+             if (get_cpu() == cpu)
+                 __nv_restore_pat_entries(NULL);
+             else
++	    	#if LINUX_VERSION_CODE >= KERNEL_VERSION(2, 6, 27)
++		smp_call_function(__nv_restore_pat_entries, hcpu, 1);
++		#else
+                 smp_call_function(__nv_restore_pat_entries, hcpu, 1, 1);
++		#endif
+             put_cpu();
+             break;
+     }
+diff -Nru NVIDIA-Linux-x86-173.14.12-pkg0.orig/usr/src/nv/nv-linux.h NVIDIA-Linux-x86-173.14.12-pkg0/usr/src/nv/nv-linux.h
+--- usr/src/nv/nv-linux.h	2008-07-18 03:42:51.000000000 +0200
++++ NVIDIA-Linux-x86-173.14.12-pkg0/usr/src/nv/nv-linux.h	2008-08-12 00:44:27.000000000 +0200
+@@ -104,7 +104,10 @@
+ #endif
+ 
+ #include <linux/spinlock.h>
++#if LINUX_VERSION_CODE >= KERNEL_VERSION(2, 6, 27)
++#else
+ #include <asm/semaphore.h>
++#endif
+ #include <linux/completion.h>
+ #include <linux/highmem.h>
+ 
+@@ -665,13 +668,21 @@
+ #if defined(preempt_disable)
+     preempt_disable();
+ #endif
++    #if LINUX_VERSION_CODE >= KERNEL_VERSION(2, 6, 27)
++    ret = smp_call_function(func, info, 1);
++    #else
+     ret = smp_call_function(func, info, 1, 1);
++    #endif
+     func(info);
+ #if defined(preempt_enable)
+     preempt_enable();
+ #endif
+ #else
++    #if LINUX_VERSION_CODE >= KERNEL_VERSION(2, 6, 27)
++    ret = on_each_cpu(func, info, 1);
++    #else
+     ret = on_each_cpu(func, info, 1, 1);
++    #endif
+ #endif
+     return ret;
+ }
+diff -Nru NVIDIA-Linux-x86-173.14.12-pkg0.orig/usr/src/nv/os-interface.c NVIDIA-Linux-x86-173.14.12-pkg0/usr/src/nv/os-interface.c
+--- usr/src/nv/os-interface.c	2008-07-18 03:42:50.000000000 +0200
++++ NVIDIA-Linux-x86-173.14.12-pkg0/usr/src/nv/os-interface.c	2008-08-12 00:48:07.000000000 +0200
+@@ -48,7 +48,11 @@
+ #endif
+     local_bh_disable();
+     atomic_set(&os_smp_barrier, 1);
++    #if LINUX_VERSION_CODE >= KERNEL_VERSION(2, 6, 27)
++    ret = smp_call_function(ipi_handler, NULL, 0);
++    #else
+     ret = smp_call_function(ipi_handler, NULL, 1, 0);
++    #endif
+ #endif
+     return (ret == 0) ? RM_OK : RM_ERROR;
+ }
+@@ -704,7 +708,9 @@
+     U032 sig
+ )
+ {
++    #if LINUX_VERSION_CODE <= KERNEL_VERSION(2, 6, 26)
+     return kill_proc(pid, sig, 1) ? RM_ERR_OPERATING_SYSTEM : RM_OK;
++    #endif
+ }
+ 
+ /*******************************************************************************/

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-10 15:35:04 UTC (rev 14779)
+++ PKGBUILD	2008-10-10 15:35:36 UTC (rev 14780)
@@ -3,21 +3,24 @@
 
 pkgname=nvidia-96xx
 pkgver=96.43.07
-_kernver='2.6.26-ARCH'
-pkgrel=5
+_kernver='2.6.27-ARCH'
+pkgrel=6
 pkgdesc="NVIDIA legacy drivers for kernel26, 96xx branch"
 arch=(i686 x86_64)
 license=('custom:NVIDIA')
 [ "$CARCH" = "i686"   ] && ARCH=x86
 [ "$CARCH" = "x86_64" ] && ARCH=x86_64
 url="http://www.nvidia.com/"
-depends=('kernel26>=2.6.26.2-1' 'kernel26<2.6.27' 'nvidia-96xx-utils')
+depends=('kernel26>=2.6.27' 'kernel26<2.6.28' 'nvidia-96xx-utils')
 conflicts=('nvidia' 'nvidia-71xx' 'nvidia-legacy')
 install=nvidia-96xx.install
 license=('custom')
-source=(http://us.download.nvidia.com/XFree86/Linux-$ARCH/${pkgver}/NVIDIA-Linux-$ARCH-${pkgver}-pkg0.run)
-md5sums=('8fa2b7c5e4629850d4bd33033ec46166')
-[ "$CARCH" = "x86_64" ] && md5sums=('c03bd2469292d91dde8767af1418c4e1')
+source=(http://us.download.nvidia.com/XFree86/Linux-$ARCH/${pkgver}/NVIDIA-Linux-$ARCH-${pkgver}-pkg0.run
+        NVIDIA_173.14.12_2.6.27.patch)
+md5sums=('8fa2b7c5e4629850d4bd33033ec46166'
+         'cd4a68b5a88be6976b90cd0df6bfe89e')
+[ "$CARCH" = "x86_64" ] && md5sums=('c03bd2469292d91dde8767af1418c4e1'
+                                    'cd4a68b5a88be6976b90cd0df6bfe89e')
 
 build()
 {
@@ -27,14 +30,15 @@
   cd NVIDIA-Linux-$ARCH-${pkgver}-pkg0
   
   # Any extra patches are applied in here...
+  patch -Np1 -i ../NVIDIA_173.14.12_2.6.27.patch || return 1
 
   cd usr/src/nv/
   ln -s Makefile.kbuild Makefile
-  make SYSSRC=/lib/modules/$_kernver/build module 
+  make SYSSRC=/lib/modules/$_kernver/build module || return 1
   
   # install kernel module
   mkdir -p $startdir/pkg/lib/modules/${_kernver}/kernel/drivers/video/
-  install -m644 nvidia.ko $startdir/pkg/lib/modules/${_kernver}/kernel/drivers/video/
+  install -m644 nvidia.ko $startdir/pkg/lib/modules/${_kernver}/kernel/drivers/video/ || return 1
 
   sed -i -e "s/KERNEL_VERSION='.*'/KERNEL_VERSION='${_kernver}'/" $startdir/*.install
 }

Modified: nvidia-96xx.install
===================================================================
--- nvidia-96xx.install	2008-10-10 15:35:04 UTC (rev 14779)
+++ nvidia-96xx.install	2008-10-10 15:35:36 UTC (rev 14780)
@@ -1,6 +1,6 @@
 # arg 1:  the new package version
 post_install() {
-  KERNEL_VERSION='2.6.26-ARCH'
+  KERNEL_VERSION='2.6.27-ARCH'
   depmod -v $KERNEL_VERSION  > /dev/null 2>&1		 
 }
 
@@ -13,7 +13,7 @@
 
 # arg 1:  the old package version
 post_remove() {
-  KERNEL_VERSION='2.6.26-ARCH'
+  KERNEL_VERSION='2.6.27-ARCH'
   depmod -v $KERNEL_VERSION	 > /dev/null 2>&1	 
 }
 




More information about the arch-commits mailing list